# TdApi.MessageSchedulingState (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: MessageSchedulingState

Package it.tdlight.jni

# Class TdApi.MessageSchedulingState

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageSchedulingState

Direct Known Subclasses:
  `TdApi.MessageSchedulingStateSendAtDate`, `TdApi.MessageSchedulingStateSendWhenOnline`

Enclosing class:
  TdApi

    public abstract static class TdApi.MessageSchedulingState
    extends TdApi.Object

This class is an abstract base class.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MessageSchedulingState()` |

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MessageSchedulingState

public MessageSchedulingState()